random.hpp File Reference

Go to the source code of this file.

## Classes

class | Gecode::Support::LinearCongruentialGenerator< m, a, q, r >
| Template for linear congruential generators. More...

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Support
| Support algorithms and datastructures

## Typedefs

typedef LinearCongruentialGenerator< 2147483647, 48271, 44488, 3399 > | Gecode::Support::RandomGenerator
| Default values for linear congruential generator.